crashpad::MemoryMapFuchsia Class Reference

A list of mappings in the address space of a Fuchsia process. More...

`#include "snapshot/fuchsia/memory_map_fuchsia.h"`

## Public Member Functions

bool | Initialize (zx_handle_t process)
| Initializes this object with information about the mapped memory regions in the given process. More...
bool | FindMappingForAddress (zx_vaddr_t address, zx_info_maps_t *map) const
| Searches through the previously retrieved memory map for the given address. If found, returns the deepest `zx_info_maps_t` mapping that contains address. More...

## Detailed Description

A list of mappings in the address space of a Fuchsia process.

## Member Function Documentation

## FindMappingForAddress()

bool crashpad::MemoryMapFuchsia::FindMappingForAddress | ( | zx_vaddr_t | address,
|  | zx_info_maps_t * | map
| ) |  | const

Searches through the previously retrieved memory map for the given address. If found, returns the deepest `zx_info_maps_t` mapping that contains address.

Parameters

  [in] | address | The address to locate.
  [out] | map | The `zx_info_maps_t` data corresponding to the address.

Returns
  `true` if a mapping for address was found, in which case map will be filled out, otherwise `false` and map will be unchanged.

## Initialize()

bool crashpad::MemoryMapFuchsia::Initialize | ( | zx_handle_t | process | ) |

Initializes this object with information about the mapped memory regions in the given process.

Returns
  `true` on success, or `false`, with an error logged.

The documentation for this class was generated from the following files:

- snapshot/fuchsia/memory_map_fuchsia.h
- snapshot/fuchsia/memory_map_fuchsia.cc